
--[[ EN ]]

-- To create a new module, change every occurence of 'Barlow' to your module's name
-- (each line is marked '!!!') and replace the mediadata with your own.
--
-- Make sure to keep the moduleid short since it is part of every quote's id
-- and gets postet to the chat channel every time you play a quote.
--
-- The moduleid may be different from the module name used in function names etc.

--[[  DE ]]

-- Um ein neues Modul zu erzeugen, ersetze jedes 'Barlow' im Code durch den
-- neuen Namen (alle betroffenen Zeilen sind mit '!!!' markiert) und trage unter
-- mediadata die neuen Daten ein.
--
-- Bitte halte die moduleid kurz, da sie Teil der ID jedes Zitats ist und diese
-- bei jedem Abspielen in den Chat-Channel gepostet wird.
--
-- Die moduleid darf sich von dem im Code benutzten Modul-Namen unterscheiden.


local moduleName = "KQMediaMehrBarlow";										-- !!!
local moduleid = "bar2";										-- keep this short
local moduleData = nil;
local frame = CreateFrame("Frame", "KQMediaMehrBarlowFakeFrame"); 				-- !!!

function KQMediaMehrBarlow_OnEvent(this, event, ...) 	-- !!!
	local arg1 = select(1, ...)
    if ((event == "ADDON_LOADED") and (arg1 == moduleName)) then
        KQMediaMehrBarlow_Init();												-- !!!
        if (IsAddOnLoaded("KQuote")) then
	        KQ_InitModule(moduleData);
        end
        if (IsAddOnLoaded("WoWQuote2")) then
	        WQ2_InitModule(moduleData);
        end
        frame:UnregisterEvent("ADDON_LOADED");
    end
end

frame:SetScript("OnEvent", KQMediaMehrBarlow_OnEvent);							-- !!!
frame:RegisterEvent("ADDON_LOADED");

function KQMediaMehrBarlow_Init()												-- !!!
    moduleData = {
    	name = "Mehr Barlow",
        moduleid = moduleid,
        mediapath = "Interface\\AddOns\\"..moduleName.."\\media\\",
        mediadata = nil
    }

    moduleData.mediadata =
{
-- replace this list of data with your own	
{
	-- for modules other than the Barlow module, prepend the id index number
	-- with the module's id;
	-- 		i.e.   id = "mine:001"

	-- bei anderen als dem Barlow-Module, muß dem ID-Index die moduleid
	-- vorangestellt werden;
	-- 		z.B.   id = "mine:001"

    id = "bar2:01",
    file = "antimagicshell.mp3",
    len = 6,
    msg = "Antimagicshell",
    tags = {"deathknight"}
},
{
    id = "bar2:02",
    file = "battlerezz.mp3",
    len = 1,
    msg = "Battlerezz!",
    tags = {"pve", "pvp"}
},
{
    id = "bar2:03",
    file = "beiantwortendiemitlolanfangen.mp3",
    len = 4,
    msg = "Bei Antworten, die mit LOL anfangen",
    tags = {"group"}
},
{
    id = "bar2:04",
    file = "cooleralslaservelociraptor.mp3",
    len = 4,
    msg = "Cooler als Laser-Velociraptor",
},
{
    id = "bar2:05",
    file = "damagedealerhabenzweiaufgaben.mp3",
    len = 6,
    msg = "Damage Dealer haben zwei Aufgaben",
    tags = {"group"}
},
{
    id = "bar2:06",
    file = "dastutdochnichtnot.mp3",
    len = 2,
    msg = "Das tut doch nicht Not",
},
{
    id = "bar2:07",
    file = "denhatmaltegemacht.mp3",
    len = 1,
    msg = "Den hat Malte gemacht",
},
{
    id = "bar2:08",
    file = "dieverhaengnisvollefarbe.mp3",
    len = 6,
    msg = "Die verhängnisvolle Farbe",
    tags = {"deathknight"}
},
{
    id = "bar2:09",
    file = "erstmalseriousattentionwhoring.mp3",
    len = 2,
    msg = "Erstmal serious attention whoring",
},
{
    id = "bar2:10",
    file = "esistmalteunderlacht.mp3",
    len = 3,
    msg = "Es ist Malte und er lacht",
},
{
    id = "bar2:11",
    file = "fangenwirmitdemharmlosestenan.mp3",
    len = 2,
    msg = "Fangen wir mit dem Harmlosesten an",
},
{
    id = "bar2:12",
    file = "fein.mp3",
    len = 1,
    msg = "Fein",
},
{
    id = "bar2:13",
    file = "grussmalte.mp3",
    len = 1,
    msg = "Gruß, Malte",
},
{
    id = "bar2:14",
    file = "instillenstundenbeneidethughhefnertodesritter.mp3",
    len = 4,
    msg = "In stillen Stunden beneidet Hugh Hefner Todesritter",
    tags = {"deathknight"}
},
{
    id = "bar2:15",
    file = "isgebongtchef.mp3",
    len = 1,
    msg = "Is gebongt, Chef",
},
{
    id = "bar2:16",
    file = "jetztnichtsooomeinding.mp3",
    len = 2,
    msg = "Jetzt nicht sooo mein Ding",
},
{
    id = "bar2:17",
    file = "kommunizieren.mp3",
    len = 2,
    msg = "Kommunizieren",
    tags = {"group"}
},
{
    id = "bar2:18",
    file = "loldasbrauchtmaninhcsnicht.mp3",
    len = 2,
    msg = "LOL, das braucht man in HCs nicht",
    tags = {"pve", "group"}
},
{
    id = "bar2:19",
    file = "mamiichwillnicht.mp3",
    len = 2,
    msg = "Mami, ich will nicht",
},
{
    id = "bar2:20",
    file = "merksteselberne.mp3",
    len = 1,
    msg = "Merkste selber, ne?",
    tags = {"negative"}
},
{
    id = "bar2:21",
    file = "nimman.mp3",
    len = 1,
    msg = "Nimm an!",
    tags = {"group", "pve", "pvp"}
},
{
    id = "bar2:22",
    file = "nungutderlaesstsichunterbrechen.mp3",
    len = 2,
    msg = "Nun gut, der läßt sich unterbrechen",
    tags = {"pve", "pvp"}
},
{
    id = "bar2:23",
    file = "ochmannichmachzuwenigschaden.mp3",
    len = 2,
    msg = "Och Mann, ich mach zu wenig Schaden",
    tags = {"group", "pve", "pvp"}
},
{
    id = "bar2:24",
    file = "ohhotstreakprocichpullmalwas.mp3",
    len = 3,
    msg = "Oh, Hot Streak Proc. Ich pull mal was.",
    tags = {"group", "pve"}
},
{
    id = "bar2:25",
    file = "ohups.mp3",
    len = 1,
    msg = "Oh. Ups.",
},
{
    id = "bar2:26",
    file = "sowieduspielstkostetrezzenwenigermanaalsheilen.mp3",
    len = 3,
    msg = "So wie Du spielst, kostet Rezzen weniger Mana als Heilen",
    tags = {"group", "pve"}
},
{
    id = "bar2:27",
    file = "sorrytunnel.mp3",
    len = 2,
    msg = "Sorry, Tunnel!",
},
{
    id = "bar2:28",
    file = "undfuerdiesesspielzahltmandoch.mp3",
    len = 2,
    msg = "Und für dieses Spiel zahlt man doch!",
},
{
    id = "bar2:29",
    file = "vergossenerhutalterschwamm.mp3",
    len = 2,
    msg = "Vergossener Hut, alter Schwamm",
},
-- end of media data
};
end -- KQMedia..._Init

